#include <sys/socket.h>
#include <unistd.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <errno.h>
#include <string.h>

#include "config.h"
#include "global.h"


int query(int n, char *addresses[], struct h_tab h[])
{
    struct sockaddr_in servaddr;
    int sock;
    int s, nleft, nread;
    unsigned cmd = PAROLE;
    char * ptr;

    sock = socket(AF_INET, SOCK_STREAM, 0);
    memset(&servaddr, 0, sizeof(servaddr));
    servaddr.sin_family = AF_INET;
    servaddr.sin_port = htons((unsigned short) PORT);

    memcpy((char *)&servaddr.sin_addr, addresses[n], h_length);
    s=connect(sock, &servaddr, sizeof(servaddr));

    if(s<0) {close(sock); return 1;}

#ifdef CHECK_PAROLE
    s=write(sock, &cmd, 4);
    if(s != 4) {close(sock); return 1;}
#endif

    nleft = sizeof(struct h_tab);
    ptr   = (char*)&h[n];

    while (nleft > 0) {
	if ( (nread = read(sock, ptr, nleft)) < 0) {
	    if (errno == EINTR)
		nread = 0;
	    else
		{ close(sock); return 1;}
	} else if (nread == 0)
	    break;
	nleft -= nread;
	ptr   += nread;
    }
    close(sock);
    if(nleft != 0) return 1;
    return 0;
}

/*-----------------------------EOF---------------------------------------*/
