#ifndef GLOBAL_H
#define GLOBAL_H

#include <sys/types.h> /* time_t */


struct hardware_type
{
    char          processor_name[24];
    int           proc_number;
    int           bogo;
    unsigned long ram_size;
};


struct load_state
{
    double        av1,av5,av15;
    time_t        uptime;
};

struct proc_info
{
    double time;
    char cmd[40];
    int uid;
    int pid;
    unsigned long vsize;
    unsigned long rss;
    long utime;
    long stime;
    long nice;
    char state;
};

struct proc_info_tab
{
    int no;
    struct proc_info p_info[MAX_PROCS_PER_HOST];
};

struct h_tab
{
    struct hardware_type hw;
    struct load_state ls;
    struct proc_info_tab ptab;
};


#define MEGA (1024*1024)


int h_length;

#ifdef __GTK_H__
void clist_click_column (GtkCList *clist, gint column, gpointer data);
void select_page(GtkWidget * w, int* n);
void tabs(GtkWidget * w, gpointer data);
void row_cb(GtkWidget * w, gint row, gint column,
	    GdkEventButton *event, gpointer data);
gint mon_update(gpointer);
void * ask_clients();
int query(int n, char *addresses[], struct h_tab h[]);
int  sprint_time_val(char *s, time_t t);
void sort_procs();
int cpu_cmp(const int * a, const int * b);
#endif


#endif
/*--------------------------------EOF------------------------------*/
